Name:           xwinwrap 
Url:            http://en.opensuse.org/Xwinwrap
License:        GPL
Group:          User Interface/Desktops
Version:        061227
Release:        1%{?dist}
Summary:        Xwinwrap and coolbg for animated desktop background.
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExcludeArch:    s390 s390x ppc64

# cvs -d :pserver:anoncvs@cvs.freedesktop.org:/cvs/xapps co xwinwrap

Source:         xwinwrap.tar.bz2
Source1:	options.txt

Requires:	compiz

BuildRequires:  gcc-c++

%description
xwinwrap is an utility, written by David Reveman/Novell, 
that will make cool things happen on your desktop. 
You can run your screensavers, play movies etc, 
and it will look as if they are part of your background..

%prep
%setup -q -n xwinwrap

%build

# xwinwrap
%{__make}

%install
%__install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
%{__install} -m 0644 %{SOURCE1} $RPM_BUILD_DIR/%{name}
%__install -m 755 xwinwrap $RPM_BUILD_ROOT%{_bindir}

%clean
%__rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc options.txt
%{_bindir}/xwinwrap


%changelog -n xwinwrap 
* Fri Mar 02 2007 - Simone Caronni <slaanesh@fastwebnet.it> - 061227.1.sla
- Initial Build, added txt file containing switches.

